import { ComparisonCheckResult } from "./Enums";
import type { CapturedId } from "./captured-id/CapturedId";
import { DateResult } from "./captured-id/DateResult";
export interface ComparisonCheck<T> {
    readonly aamvaBarcodeValue: T | null;
    readonly checkResult: ComparisonCheckResult;
    readonly resultDescription: string;
    readonly vizValue: T | null;
}
export declare class AamvaVizBarcodeComparisonVerifier {
    private loader;
    static create(): AamvaVizBarcodeComparisonVerifier;
    verify(capturedId: CapturedId): Promise<AamvaVizBarcodeComparisonResult | null>;
    private pushQuadForKey;
    private pushQuadsForKeys;
    private getMismatchedQuads;
    private highlightImage;
    private constructor();
}
export declare class AamvaVizBarcodeComparisonResult {
    private json;
    private _frontMismatchImage;
    private _mismatchHighlightingEnabled;
    get checksPassed(): boolean;
    get resultDescription(): string;
    get issuingCountryIsoMatch(): ComparisonCheck<string>;
    get issuingJurisdictionIsoMatch(): ComparisonCheck<string>;
    get documentNumbersMatch(): ComparisonCheck<string>;
    get fullNamesMatch(): ComparisonCheck<string>;
    get datesOfBirthMatch(): ComparisonCheck<DateResult>;
    get datesOfExpiryMatch(): ComparisonCheck<DateResult>;
    get datesOfIssueMatch(): ComparisonCheck<DateResult>;
    get frontMismatchImage(): string;
    get mismatchHighlightingEnabled(): boolean;
    private static fromJSON;
}
