import { CameraSettings, Color } from "scandit-web-datacapture-core";
import type { CameraSettingsDefaultsJSON } from "scandit-web-datacapture-core/build/js/Defaults";
export interface Defaults {
    IdCapture: {
        RecommendedCameraSettings: CameraSettings;
        IdCaptureOverlayDefaults: IdCaptureOverlayDefaults;
    };
}
export interface DefaultsJSON {
    IdCapture: {
        RecommendedCameraSettings: CameraSettingsDefaultsJSON;
        IdCaptureOverlayDefaults: IdCaptureOverlayDefaultsJSON;
    };
}
export interface IdCaptureOverlayDefaultsJSON {
    defaultCapturedBrush: {
        fillColor: string;
        strokeColor: string;
        strokeWidth: number;
    };
    defaultLocalizedBrush: {
        fillColor: string;
        strokeColor: string;
        strokeWidth: number;
    };
    defaultRejectedBrush: {
        fillColor: string;
        strokeColor: string;
        strokeWidth: number;
    };
}
export interface IdCaptureOverlayDefaults {
    defaultCapturedBrush: {
        fillColor: Color;
        strokeColor: Color;
        strokeWidth: number;
    };
    defaultLocalizedBrush: {
        fillColor: Color;
        strokeColor: Color;
        strokeWidth: number;
    };
    defaultRejectedBrush: {
        fillColor: Color;
        strokeColor: Color;
        strokeWidth: number;
    };
}
export declare const defaultsFromJSON: (json: DefaultsJSON) => Defaults;
export declare let defaultValues: Defaults;
export declare function setDefaults(newDefaults: Defaults): void;
