import type { JSONType } from "scandit-web-datacapture-core";
import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { IdDocumentType, IdImageType } from "./Enums";
import { IdAnonymizationMode, SupportedSides, IdCaptureTrigger } from "./Enums";
export interface IdCaptureSettingsJSON {
    licenseKey: string;
    licensee: string;
    supportedDocuments: IdDocumentType[];
    imageToResult: Record<string, any>;
    supportedSides: SupportedSides;
    anonymizationMode: IdAnonymizationMode;
    captureTrigger: IdCaptureTrigger;
    rejectVoidedIds: boolean;
    decodeBackOfEuropeanDrivingLicense: boolean;
    properties: Record<string, JSONType>;
}
export declare class IdCaptureSettings implements Serializable<IdCaptureSettingsJSON> {
    supportedDocuments: IdDocumentType[];
    supportedSides: SupportedSides;
    anonymizationMode: IdAnonymizationMode;
    captureTrigger: IdCaptureTrigger;
    rejectVoidedIds: boolean;
    decodeBackOfEuropeanDrivingLicense: boolean;
    private properties;
    private imageToResult;
    constructor();
    setProperty(name: string, value: any): void;
    getProperty(name: string): any;
    setShouldPassImageTypeToResult(type: IdImageType, shouldPass: boolean): void;
    getShouldPassImageTypeToResult(type: IdImageType): boolean;
    toJSONObject(): IdCaptureSettingsJSON;
}
