import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import { BarcodeMetadata } from "./BarcodeMetadata";
import { DateResult } from "./DateResult";
import type { AAMVABarcodeResultJSON } from "../SerializedTypes";
export declare class AAMVABarcodeResult implements Serializable<AAMVABarcodeResultJSON> {
    protected json: AAMVABarcodeResultJSON;
    get aamvaVersion(): number;
    get isRealId(): boolean;
    get aliasFamilyName(): string | null;
    get aliasGivenName(): string | null;
    get aliasSuffixName(): string | null;
    get barcodeMetadata(): BarcodeMetadata | null;
    get driverNamePrefix(): string | null;
    get driverNameSuffix(): string | null;
    get endorsementsCode(): string | null;
    get eyeColor(): string | null;
    get firstNameTruncation(): string | null;
    get hairColor(): string | null;
    get heightCm(): number | null;
    get heightInch(): number | null;
    get IIN(): string;
    get issuingJurisdiction(): string;
    get issuingJurisdictionIso(): string;
    get jurisdictionVersion(): number;
    get lastNameTruncation(): string | null;
    get firstNameWithoutMiddleName(): string | null;
    get middleName(): string | null;
    get middleNameTruncation(): string | null;
    get placeOfBirth(): string | null;
    get race(): string | null;
    get restrictionsCode(): string | null;
    get vehicleClass(): string | null;
    get weightKg(): number | null;
    get weightLbs(): number | null;
    get cardRevisionDate(): DateResult | null;
    get documentDiscriminatorNumber(): string | null;
    get barcodeDataElements(): Record<string, string>;
    private static fromJSON;
    toJSONObject(): AAMVABarcodeResultJSON;
}
