import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { CapturedResultType, IdImageType, DocumentType } from "../Enums";
import type { CapturedIdJSON } from "../SerializedTypes";
import { AAMVABarcodeResult } from "./AamvaBarcodeResult";
import { ApecBusinessTravelCardMrzResult } from "./ApecBusinessTravelCardMrzResult";
import { ArgentinaIdBarcodeResult } from "./ArgentinaIdBarcodeResult";
import { ChinaExitEntryPermitMrzResult } from "./ChinaExitEntryPermitMrzResult";
import { ChinaMainlandTravelPermitMrzResult } from "./ChinaMainlandTravelPermitMrzResult";
import { ChinaOneWayPermitBackMrzResult } from "./ChinaOneWayPermitBackMrzResult";
import { ChinaOneWayPermitFrontMrzResult } from "./ChinaOneWayPermitFrontMrzResult";
import { ColombiaDlBarcodeResult } from "./ColombiaDlBarcodeResult";
import { ColombiaIdBarcodeResult } from "./ColombiaIdBarcodeResult";
import { CommonAccessCardBarcodeResult } from "./CommonAccessCardBarcodeResult";
import { DateResult } from "./DateResult";
import { MRZResult } from "./MRZResult";
import { SouthAfricaDlBarcodeResult } from "./SouthAfricaDlBarcodeResult";
import { SouthAfricaIdBarcodeResult } from "./SouthAfricaIdBarcodeResult";
import { USUniformedServicesBarcodeResult } from "./USUniformedServicesBarcodeResult";
import { USVisaVIZResult } from "./UsVisaVizResult";
import { VIZResult } from "./VIZResult";
export declare class CapturedId implements Serializable<CapturedIdJSON> {
    private json;
    private _aamvaBarcodeResult;
    private _apecBusinessTravelCardMrzResult;
    private _argentinaIdBarcodeResult;
    private _chinaMainlandTravelPermitMrzResult;
    private _chinaExitEntryPermitMrzResult;
    private _chinaOneWayPermitFrontMrzResult;
    private _chinaOneWayPermitBackMrzResult;
    private _colombiaIdBarcodeResult;
    private _colombiaDlBarcodeResult;
    private _mrzResult;
    private _southAfricaIdBarcodeResult;
    private _southAfricaDlBarcodeResult;
    private _usUniformedServicesBarcodeResult;
    private _commonAccessCardBarcodeResult;
    private _usVisaVIZResult;
    private _vizResult;
    private _imageInfo;
    get firstName(): string | null;
    get lastName(): string | null;
    get secondaryLastName(): string | null;
    get fullName(): string;
    get sex(): string | null;
    get dateOfBirth(): DateResult | null;
    get age(): number | null;
    get nationality(): string | null;
    get address(): string | null;
    get documentType(): DocumentType;
    get issuingCountryIso(): string | null;
    get issuingCountry(): string | null;
    get documentNumber(): string | null;
    get documentAdditionalNumber(): string | null;
    get dateOfExpiry(): DateResult | null;
    get isExpired(): boolean | null;
    get dateOfIssue(): DateResult | null;
    get capturedResultTypes(): CapturedResultType[];
    get aamvaBarcodeResult(): AAMVABarcodeResult | null;
    get apecBusinessTravelCardMrzResult(): ApecBusinessTravelCardMrzResult | null;
    get argentinaIdBarcodeResult(): ArgentinaIdBarcodeResult | null;
    get chinaMainlandTravelPermitMrzResult(): ChinaMainlandTravelPermitMrzResult | null;
    get chinaExitEntryPermitMrzResult(): ChinaExitEntryPermitMrzResult | null;
    get chinaOneWayPermitFrontMrzResult(): ChinaOneWayPermitFrontMrzResult | null;
    get chinaOneWayPermitBackMrzResult(): ChinaOneWayPermitBackMrzResult | null;
    get colombiaIdBarcodeResult(): ColombiaIdBarcodeResult | null;
    get colombiaDlBarcodeResult(): ColombiaDlBarcodeResult | null;
    get mrzResult(): MRZResult | null;
    get southAfricaIdBarcodeResult(): SouthAfricaIdBarcodeResult | null;
    get southAfricaDlBarcodeResult(): SouthAfricaDlBarcodeResult | null;
    get usUniformedServicesBarcodeResult(): USUniformedServicesBarcodeResult | null;
    get commonAccessCardBarcodeResult(): CommonAccessCardBarcodeResult | null;
    get usVisaVIZResult(): USVisaVIZResult | null;
    get vizResult(): VIZResult | null;
    private get imageInfo();
    private get barcodeResultsJSON();
    private get mrzResultsJSON();
    private static fromJSON;
    idImageOfType(type: IdImageType): string | null;
    toJSONObject(): CapturedIdJSON;
}
