import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import { DateResult } from "./DateResult";
import type { USUniformedServicesBarcodeResultJSON } from "../SerializedTypes";
export declare class USUniformedServicesBarcodeResult implements Serializable<USUniformedServicesBarcodeResultJSON> {
    protected json: USUniformedServicesBarcodeResultJSON;
    get bloodType(): string | null;
    get branchOfService(): string;
    get champusEffectiveDate(): DateResult | null;
    get champusExpiryDate(): DateResult | null;
    get civilianHealthCareFlagCode(): string;
    get civilianHealthCareFlagDescription(): string;
    get commissaryFlagCode(): string;
    get commissaryFlagDescription(): string;
    get deersDependentSuffixCode(): number;
    get deersDependentSuffixDescription(): string;
    get directCareFlagCode(): string;
    get directCareFlagDescription(): string;
    get exchangeFlagCode(): string;
    get exchangeFlagDescription(): string;
    get eyeColor(): string;
    get familySequenceNumber(): number;
    get formNumber(): string;
    get genevaConventionCategory(): string | null;
    get hairColor(): string;
    get height(): number;
    get jpegData(): string | null;
    get mwrFlagCode(): string;
    get mwrFlagDescription(): string;
    get payGrade(): string | null;
    get personDesignatorDocument(): number;
    get rank(): string;
    get relationshipCode(): string | null;
    get relationshipDescription(): string | null;
    get securityCode(): string;
    get serviceCode(): string;
    get sponsorFlag(): string;
    get sponsorName(): string | null;
    get sponsorPersonDesignatorIdentifier(): number | null;
    get statusCode(): string;
    get statusCodeDescription(): string;
    get version(): number;
    get weight(): number;
    private static fromJSON;
    toJSONObject(): USUniformedServicesBarcodeResultJSON;
}
