import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { SupportedSides } from "../Enums";
import { DrivingLicenseDetails } from "./DrivingLicenseDetails";
import type { VIZResultJSON } from "../SerializedTypes";
export declare class VIZResult implements Serializable<VIZResultJSON> {
    protected json: VIZResultJSON;
    get firstName(): string | null;
    get lastName(): string | null;
    get secondaryLastName(): string | null;
    get fullName(): string;
    get additionalAddressInformation(): string | null;
    get additionalNameInformation(): string | null;
    get documentAdditionalNumber(): string | null;
    get employer(): string | null;
    get issuingAuthority(): string | null;
    get issuingJurisdiction(): string | null;
    get issuingJurisdictionIso(): string | null;
    get maritalStatus(): string | null;
    get personalIdNumber(): string | null;
    get placeOfBirth(): string | null;
    get profession(): string | null;
    get race(): string | null;
    get religion(): string | null;
    get residentialStatus(): string | null;
    get mothersName(): string | null;
    get fathersName(): string | null;
    get capturedSides(): SupportedSides;
    get isBackSideCaptureSupported(): boolean;
    get drivingLicenseDetails(): DrivingLicenseDetails | null;
    get bloodType(): string | null;
    get sponsor(): string | null;
    private static fromJSON;
    toJSONObject(): VIZResultJSON;
}
