import "./scandit-web-datacapture-id-private";
import type { ModuleLoader } from "scandit-web-datacapture-core";
import { IdCaptureWorkerManager } from "./worker/IdCaptureWorkerManager";
import { CentaurusLoader } from "scandit-web-datacapture-id-private";
export * from "./Enums";
export * from "./IdCapture";
export * from "./IdCaptureError";
export * from "./IdCaptureFeedback";
export * from "./IdCaptureSession";
export * from "./IdCaptureOverlay";
export * from "./IdCaptureSettings";
export * from "./AamvaBarcodeVerifier";
export * from "./AamvaBarcodeVerifierResult";
export * from "./AamvaVizBarcodeComparisonVerifier";
export * from "./VizMrzComparisonVerifier";
export * from "./captured-id/AamvaBarcodeResult";
export * from "./captured-id/ArgentinaIdBarcodeResult";
export * from "./captured-id/CapturedId";
export * from "./captured-id/ChinaExitEntryPermitMrzResult";
export * from "./captured-id/ChinaMainlandTravelPermitMrzResult";
export * from "./captured-id/ColombiaDlBarcodeResult";
export * from "./captured-id/ColombiaIdBarcodeResult";
export * from "./captured-id/DateResult";
export * from "./captured-id/DrivingLicenseCategory";
export * from "./captured-id/DrivingLicenseDetails";
export * from "./captured-id/ImageInfo";
export * from "./captured-id/LocalizedOnlyId";
export * from "./captured-id/MRZResult";
export * from "./captured-id/ProfessionalDrivingPermit";
export * from "./captured-id/RejectedId";
export * from "./captured-id/SouthAfricaDlBarcodeResult";
export * from "./captured-id/SouthAfricaIdBarcodeResult";
export * from "./captured-id/USUniformedServicesBarcodeResult";
export * from "./captured-id/VehicleRestriction";
export * from "./captured-id/VIZResult";
export type { Translations } from "./translations";
export interface IdCaptureLoaderOptions {
    enableVIZDocuments?: boolean;
}
export declare let centaurusLoader: CentaurusLoader | undefined;
export declare let mainDataCaptureLoader: IdCaptureWorkerManager;
export declare function idCaptureLoader(options?: IdCaptureLoaderOptions): ModuleLoader;
export declare function setMainDataCaptureLoader(newLoader: IdCaptureWorkerManager): void;
/**
 * @hidden
 *
 * Used by tests.
 */
export declare function setCentaurusLoader(newLoader: CentaurusLoader): void;
